﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title></title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Workflow FAQ</h1>
        <p>This section serves as a supplement to the documentation and answers the most commonly asked questions about creating or using Workflows.</p>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><b>Can I use any variable to access endpoint customproperty like ${endpoint.customproperty1)?</b>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes. The set of applications is defined with the same approval logic to use a usergroup and store it in an endpoint customproperty. You can access the custom property in&#160;the workflow.<br /></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><b>How can I configure the escalation to second-level approver's manager?</b>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>You can do this by using the owner's manager approval block that works as an assignee's manager approval block. &#160;<br /></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>What is the difference between a single and multi-level workflow?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>The following table summarizes the differences between single and multi-level workflows:&#160;</p>
                <div class="table-wrap">
                    <table style="width: 100%;">
                        <col style="width: 340px;" />
                        <col style="width: 340px;" />
                        <thead>
                            <tr>
                                <th>
                                    <p class="table-text">Single Level Workflow</p>
                                </th>
                                <th>
                                    <p class="table-text">Multi-Level Workflow</p>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>
                                    <p class="table-text">Requires only one level of approval. For example, Grant Access or Reject Access workflows.</p>
                                    <p class="table-text">If a manager approves a request, the request either navigates to the Grant Access block or the Rejected Access block.</p>
                                </td>
                                <td>
                                    <p class="table-text">Requires multiple levels of approvals. For example, Enterprise Workflow (3-4 levels of approval).&#160;</p>
                                    <p class="table-text">If a manager approves an request, it navigates to 3 or 4 levels for approval before going to the Grant Access block or the Rejected Access block.</p>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p class="table-text">Requests are approved or rejected in the same level.</p>
                                </td>
                                <td>
                                    <p class="table-text">Requests may need further approval and the request fulfilment project must have the ability to provide this process. In the approval workflow, one or more approval managers are involved if the approval is required from multiple manager.</p>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p class="table-text">Includes a single workflow condition.</p>
                                </td>
                                <td>
                                    <p class="table-text">Includes multiple workflow conditions.</p>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p class="table-text">A single task is created and an appropriate email is sent.</p>
                                </td>
                                <td>
                                    <p class="table-text">Multiple tasks are created and appropriate emails are sent.</p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
    </body>
</html>